Package org.eclipse.emf.cdo.spi.server

## Interface InternalRepository.PackagesInitializedEvent

- All Superinterfaces:
    `org.eclipse.net4j.util.event.IEvent`
  Enclosing interface:
    InternalRepository

      public static interface InternalRepository.PackagesInitializedEvent
      extends org.eclipse.net4j.util.event.IEvent

  Since:
    4.6
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.List<InternalCDOPackageUnit>` | `getPackageUnits()` |
    `InternalRepository` | `getSource()` |
    `boolean` | `isFirstStart()` |

- - ### Method Detail

    - #### getSource

          InternalRepository getSource()

      Specified by:
        `getSource` in interface `org.eclipse.net4j.util.event.IEvent`

    - #### isFirstStart

          boolean isFirstStart()

    - #### getPackageUnits

          java.util.List<InternalCDOPackageUnit> getPackageUnits()

      Since:
        4.7